メインコンテンツへスキップ
POST
/
webhooks-journal
/
subscriptions
/
2026-03
サブスクリプションを作成
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actions": [],
  "objectIds": [
    123
  ],
  "objectTypeId": "<string>",
  "portalId": 123,
  "properties": [
    "<string>"
  ],
  "subscriptionType": "OBJECT"
}
'
{
  "actions": [],
  "appId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": 123,
  "objectTypeId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "actionOverrides": {},
  "associatedObjectTypeIds": [
    "<string>"
  ],
  "createdBy": 123,
  "deletedAt": "2023-11-07T05:31:56Z",
  "listIds": [
    123
  ],
  "objectIds": [
    123
  ],
  "portalId": 123,
  "properties": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
actions
enum<string>[]
利用可能なオプション:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectIds
integer<int64>[]
objectTypeId
string
portalId
integer<int64>
properties
string[]
subscriptionType
enum<string>
デフォルト:OBJECT
利用可能なオプション:
OBJECT

レスポンス

successful operation

actions
enum<string>[]
必須

配信登録を発動するアクションのリスト。可能な値には、「CREATE」、「UPDATE」、「DELETE」、「MERGE」、「RESTORE」、「ASSOCIATION_ADDED」、「ASSOCIATION_REMOVED」、「SNAPSHOT」、「APP_INSTALL」、「APP_UNINSTALL」、「ADDED_TO_LIST」、「REMOVED_FROM_LIST」、「GDPR_DELETE」などがあります。

利用可能なオプション:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
必須

配信登録に関連付けられているアプリの固有ID。int64形式の整数です。

createdAt
string<date-time>
必須

配信登録が作成された日時(ISO 8601形式)。

id
integer<int64>
必須

配信登録の固有ID。int64形式の整数です。

objectTypeId
string
必須

配信登録に関連付けられているオブジェクトタイプのID。文字列です。

subscriptionType
enum<string>
必須

配信登録のタイプ。「OBJECT」、「ASSOCIATION」、「EVENT」、「APP_LIFECYCLE_EVENT」、「LIST_MEMBERSHIP」、「GDPR_PRIVACY_DELETION」のいずれかになります。

利用可能なオプション:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
必須

配信登録が最後に更新された日時(ISO 8601形式)。

actionOverrides
object

アクションの上書きが含まれるオブジェクト。各アクションの上書きはアクションであり、値はActionOverrideRequestオブジェクトです。

associatedObjectTypeIds
string[]

関連付けられたオブジェクトタイプIDのリスト。各IDは文字列です。

createdBy
integer<int64>

配信登録を作成したユーザーのID。int64形式の整数です。

deletedAt
string<date-time>

該当する場合、配信登録が削除された日時(ISO 8601形式)。

listIds
integer<int64>[]

配信登録に関連付けられているリストIDのリスト。各IDはint64形式の整数です。

objectIds
integer<int64>[]

サブスクリプションに関連付けられているオブジェクトIDのリストです。各IDはint64形式の整数です。

portalId
integer<int64>

配信登録に関連付けられているポータルの固有ID。int64形式の整数です。

properties
string[]

配信登録に関連付けられているプロパティー名のリスト。各プロパティーは文字列です。

Last modified on May 11, 2026